<div class="col-12 mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div class="col-8 text-center alert" [ngClass]=" status=='success'? 'alert-success' : 'alert-danger' " *ngIf="status">{{message}}</div>
  <form #newImageForm='ngForm' (ngSubmit)="onSubmit()" class="col-6">
    <div class="form-group">
      <label for="title">Título</label>
      <input type="text" id="title" name="title" #title="ngModel" [(ngModel)]="image.title" class="form-control" required>
    </div>
    <div class="form-group">
        <label for="image">Título</label>
        <input type="file" id="image" name="image" (change)="fileChangeEvent($event)"  class="form-control">
    </div>
    <div class="form-group">
      <img src="{{url + 'get-image-file/' + image.picture}}" alt="" *ngIf="image.picture" width="100%">
    </div>
    <div class="form-group">
      <button type="submit" id="submitButton" class="btn btn-primary" [disabled]="newImageForm.form.invalid || !filesToUpload">{{pageTitle}}</button>
      <a *ngIf="is_edit" class="btn btn-outline-success ml-4" [routerLink]="['/album',image.album._id]">Volver al álbum</a>
    </div>
  </form>
</div>
